Get DVIR defect types.
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Defect Types under the Maintenance category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/defect-types \
--header 'Authorization: Bearer <token>'{
"data": [
{
"createdAtTime": "2020-01-27T07:06:25Z",
"id": "25d6151e-29b5-453e-875a-7c5425332e09",
"label": "Air Compressor",
"sectionType": "exteriorFront",
"severity": "major"
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
The limit for how many objects will be in the response. Default and max for this value is 512 objects.
1 <= x <= 512A filter on the data based on this comma-separated list of defect type IDs.
curl --request GET \
--url https://api.samsara.com/defect-types \
--header 'Authorization: Bearer <token>'{
"data": [
{
"createdAtTime": "2020-01-27T07:06:25Z",
"id": "25d6151e-29b5-453e-875a-7c5425332e09",
"label": "Air Compressor",
"sectionType": "exteriorFront",
"severity": "major"
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}